# eric7.WebBrowser.OpenSearch.OpenSearchDialog

Module implementing a dialog for the configuration of search engines.

### Global Attributes

None

### Classes

OpenSearchDialog | Class implementing a dialog for the configuration of search engines.

### Functions

None

## OpenSearchDialog

Class implementing a dialog for the configuration of search engines.

### Derived from

QDialog, Ui_OpenSearchDialog

### Class Attributes

None

### Class Methods

None

### Methods

OpenSearchDialog | Constructor
__selectionChanged | Private slot to handle a change of the selection.
on_addButton_clicked | Private slot to add a new search engine.
on_deleteButton_clicked | Private slot to delete the selected search engines.
on_editButton_clicked | Private slot to edit the data of the current search engine.
on_restoreButton_clicked | Private slot to restore the default search engines.

### Static Methods

None

#### OpenSearchDialog (Constructor)

OpenSearchDialog(parent=None)

Constructor

parent
  reference to the parent object (QWidget)

#### OpenSearchDialog.__selectionChanged

__selectionChanged(selected, deselected)

Private slot to handle a change of the selection.

selected
  item selection of selected items (QItemSelection)
deselected
  item selection of deselected items (QItemSelection)

#### OpenSearchDialog.on_addButton_clicked

on_addButton_clicked()

Private slot to add a new search engine.

#### OpenSearchDialog.on_deleteButton_clicked

on_deleteButton_clicked()

Private slot to delete the selected search engines.

#### OpenSearchDialog.on_editButton_clicked

on_editButton_clicked()

Private slot to edit the data of the current search engine.

#### OpenSearchDialog.on_restoreButton_clicked

on_restoreButton_clicked()

Private slot to restore the default search engines.

Up